const express = require('express')
const cors = require('cors')
const path = require('path')
const app = express()
const port = 3050

app.use(cors({ origin: true, credentials: true }))
app.use(express.static(path.join(__dirname, 'dist')))

app.listen(port, () => {
  console.log(`Server is running on http://localhost:${port}`)
})
