# Towards a Better Understanding of Graph Perception in Immersive Environments

Accepted as a full paper at the Proc. 33rd International Symposium on Graph Drawing and Network Visualization (GD 25')

*Lin Zhang, Yao Wang, Ying Zhang, Wilhelm Kerle-Malcharek, Karsten Klein, Falk Schreiber, and Andreas Bulling*

```
$Root Directory
│
│─ README.md —— this file
│
|─ Code —— Source code of the WebGL environment
│  │
│  |─ data —— all graphs
│  │
│  |─ py_scripts —— providing statistics and plotting visualizations for gaze data
│  │
│  │─ draw.js —— render graphs
│  │
│  │─ questionnaire.js —— render questionnaire panel
│  │
│  └─ scene.js —— render the room
│
└─ Data/NetworkGaze.zip —— The collected participants' eye tracking data
```


If you think our work is useful to you, please consider citing our paper as:

```
@inproceedings{zhang25_gd,
  title = {Towards a Better Understanding of Graph Perception in Immersive Environments},
  author = {Zhang, Lin and Wang, Yao and Zhang, Ying and Kerle-Malcharek, Wilhelm and Klein, Karsten and Schreiber, Falk and Bulling, Andreas},
  year = {2025},
  pages = {},
  booktitle = {Proc. 33rd International Symposium on Graph Drawing and Network Visualization (GD)}
}

```

contact: yao.wang@vis.uni-stuttgart.de
